[问题]我的adobe是个空壳要怎么解决啊?(已解决)

为当前最终发行版之前的所有版本提供支持
回复
zero406
帖子: 19
注册时间: 2007-07-22 23:54
送出感谢: 0
接收感谢: 0

[问题]我的adobe是个空壳要怎么解决啊?(已解决)

#1

帖子 zero406 » 2007-08-28 23:07

我刚装好的adobe7.0.9点击一点反应都没有,一个空壳而已
/usr/local/Adobe/Acrobat7.0/bin/acroread 也不能修改
说:
gedit 无法检测字符编码。
请检查您是否正在尝试打开一个二进制文件。
从菜单中选择一种字符编码,然后再试一次。

各位遇到过么?帮忙啊!
上次由 zero406 在 2007-08-29 21:26,总共编辑 1 次。
头像
xhy
帖子: 3916
注册时间: 2005-12-28 1:16
系统: Ubuntu 12.10 X64
来自: 火星
送出感谢: 1 次
接收感谢: 0

#2

帖子 xhy » 2007-08-28 23:14

/usr/bin/acroread
目前负债150多万
zero406
帖子: 19
注册时间: 2007-07-22 23:54
送出感谢: 0
接收感谢: 0

#3

帖子 zero406 » 2007-08-29 9:24

/usr/bin/acroread


这个也是不能编辑的,
gedit 无法检测字符编码。
请检查您是否正在尝试打开一个二进制文件。
从菜单中选择一种字符编码,然后再试一次。
头像
xhy
帖子: 3916
注册时间: 2005-12-28 1:16
系统: Ubuntu 12.10 X64
来自: 火星
送出感谢: 1 次
接收感谢: 0

#4

帖子 xhy » 2007-08-29 9:54

用vim打开

尽量不要用gedit编辑文件
目前负债150多万
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#5

帖子 BigSnake.NET » 2007-08-29 10:30

干什么啊?。。。那个是二进制可执行文件
控制台下输入
acroread
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
xhy
帖子: 3916
注册时间: 2005-12-28 1:16
系统: Ubuntu 12.10 X64
来自: 火星
送出感谢: 1 次
接收感谢: 0

#6

帖子 xhy » 2007-08-29 10:38

代码: 全选

saga@Gentoo ~ $ type acroread
acroread is /opt/bin/acroread
saga@Gentoo ~ $ file -L /opt/bin/acroread
/opt/bin/acroread: Bourne shell script text executable
目前负债150多万
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#7

帖子 BigSnake.NET » 2007-08-29 13:04

xhy 写了:

代码: 全选

saga@Gentoo ~ $ type acroread
acroread is /opt/bin/acroread
saga@Gentoo ~ $ file -L /opt/bin/acroread
/opt/bin/acroread: Bourne shell script text executable


哦..原来是个script
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
yangguo
帖子: 20
注册时间: 2007-08-25 19:52
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 yangguo » 2007-08-29 14:08

那个二进制文件要选的编码是 中欧什么的 ,只有三个是中欧什么编码的,你试一下就是了
要修改这个文件 是要有root 权限的,你可以输入这个

sudo gedit

下面是我在网上找到的解决方法,我试过可以 的

sudo gedit /usr/bin/acroread
在首行加入 export GTK_IM_MODULE=xim

字符编码选择 中欧 iso什么的 可打开二进制文件
zero406
帖子: 19
注册时间: 2007-07-22 23:54
送出感谢: 0
接收感谢: 0

#9

帖子 zero406 » 2007-08-29 21:12

谢谢各位!
接合各位的,然后

编辑Adobe Reader安装目录下的bin/acroread文件,找到

echo $mfile| sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]\)00.\([0-9]*\)\|\(.*\)/\1\2\3/g'

改为

echo $mfile| sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]\)00*.\([0-9]*\)\|\(.*\)/\1\2\3/g'


就OK啦!
回复

回到 “老旧版本支持”